| Home | Libraries | People | FAQ | More

## Macro BOOST_MPI_HOMOGENEOUS

BOOST_MPI_HOMOGENEOUS — Comment this macro is you are running in an heterogeneous environment.

## Synopsis

    // In header: <boost/mpi/config.hpp>

    BOOST_MPI_HOMOGENEOUS

## Description

When this flag is enabled, we assume some simple, POD-like, type can be transmitted without paying the cost of portable serialization.

Comment this if your platform is not homogeneous and that portable serialization/deserialization must be performed.

It you do so, check that your MPI implementation supports thats kind of environment.